Name:          audiocd-kio
Version:       20.04.1
Release:       1mamba
Summary:       Rip audio from CD's and re-encode it into different formats with KDE
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/release-service/%{version}/src/audiocd-kio-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libcdparanoia-devel
BuildRequires: libflac-devel
BuildRequires: libgcc
BuildRequires: libkauth-devel
BuildRequires: libkbookmarks-devel
BuildRequires: libkcddb-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompactdisc-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkcrash-devel
BuildRequires: libkdelibs4support-devel
BuildRequires: libkguiaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkio-devel
BuildRequires: libkitemviews-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libknotifications-devel
BuildRequires: libkparts-devel
BuildRequires: libkservice-devel
BuildRequires: libktextwidgets-devel
BuildRequires: libkunitconversion-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libogg-devel
BuildRequires: libphonon-qt5-devel
BuildRequires: libqt5-devel
BuildRequires: libsolid-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
BuildRequires: libvorbis-devel
## AUTOBUILDREQ-END
BuildRequires: libkcompactdisc-devel >= 16.12.0-1mamba
BuildRequires: cmake
Provides:      kdemultimedia-audiocd
Obsoletes:     kdemultimedia-audiocd
Provides:      kdemultimedia4-audiocd
Obsoletes:     kdemultimedia4-audiocd
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Rip audio from CD's and re-encode it into different formats with KDE.

%package -n lib%{name}
Summary:       Shared libraries for %{name}
Group:         System/Libraries

%description -n lib%{name}
Shared libraries for %{name}.

%package -n lib%{name}-devel
Summary:       Development files for %{name}
Group:         Development/Libraries
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     libkdemultimedia-devel
Provides:      %{name}-devel
Obsoletes:     %{name}-devel

%description -n lib%{name}-devel
Headers files for developing audiocd applications.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_kde5_datadir}/konqsidebartng/virtual_folders/services/audiocd.desktop
%{_kde5_datadir}/solid/actions/solid_audiocd.desktop
%{_kde5_kcfgdir}/audiocd_*.kcfg
%{_kde5_servicesdir}/audiocd.desktop
%{_kde5_servicesdir}/audiocd.protocol
%{_datadir}/metainfo/org.kde.kio_audiocd.metainfo.xml
%dir %{_datadir}/doc/HTML/en/kioslave5/audiocd
%{_datadir}/doc/HTML/en/kioslave5/audiocd/*
%dir %{_datadir}/doc/HTML/en/kcontrol/audiocd
%{_datadir}/doc/HTML/en/kcontrol/audiocd/*
%{_datadir}/qlogging-categories5/kio_audiocd.categories
%lang(ca) %dir %{_datadir}/doc/HTML/ca/kioslave5/audiocd
%lang(ca) %{_datadir}/doc/HTML/ca/kioslave5/audiocd/*
%lang(de) %dir %{_datadir}/doc/HTML/de/kioslave5/audiocd
%lang(de) %{_datadir}/doc/HTML/de/kioslave5/audiocd/*
%lang(es) %dir %{_datadir}/doc/HTML/es/kioslave5/audiocd
%lang(es) %{_datadir}/doc/HTML/es/kioslave5/audiocd/*
%lang(et) %dir %{_datadir}/doc/HTML/et/kioslave5/audiocd
%lang(et) %{_datadir}/doc/HTML/et/kioslave5/audiocd/*
%lang(fr) %dir %{_datadir}/doc/HTML/fr/kioslave5/audiocd
%lang(fr) %{_datadir}/doc/HTML/fr/kioslave5/audiocd/*
%lang(it) %dir %{_datadir}/doc/HTML/it/kioslave5/audiocd
%lang(it) %{_datadir}/doc/HTML/it/kioslave5/audiocd/*
%lang(nl) %dir %{_datadir}/doc/HTML/nl/kioslave5/audiocd
%lang(nl) %{_datadir}/doc/HTML/nl/kioslave5/audiocd/*
%lang(pl) %dir %{_datadir}/doc/HTML/pl/kioslave5/audiocd
%lang(pl) %{_datadir}/doc/HTML/pl/kioslave5/audiocd/*
%lang(pt) %dir %{_datadir}/doc/HTML/pt/kioslave5/audiocd
%lang(pt) %{_datadir}/doc/HTML/pt/kioslave5/audiocd/*
%lang(pt_BR) %dir %{_datadir}/doc/HTML/pt_BR/kioslave5/audiocd
%lang(pt_BR) %{_datadir}/doc/HTML/pt_BR/kioslave5/audiocd/*
%lang(ru) %dir %{_datadir}/doc/HTML/ru/kioslave5/audiocd
%lang(ru) %{_datadir}/doc/HTML/ru/kioslave5/audiocd/*
%lang(sr) %dir %{_datadir}/doc/HTML/sr/kioslave5/audiocd
%lang(sr) %{_datadir}/doc/HTML/sr/kioslave5/audiocd/*
%lang(sv) %dir %{_datadir}/doc/HTML/sv/kioslave5/audiocd
%lang(sv) %{_datadir}/doc/HTML/sv/kioslave5/audiocd/*
%lang(uk) %dir %{_datadir}/doc/HTML/uk/kioslave5/audiocd
%lang(uk) %{_datadir}/doc/HTML/uk/kioslave5/audiocd/*

%files -n lib%{name}
%defattr(-,root,root)
%{_kde5_libdir}/libaudiocdplugins.so.*
%{_libdir}/qt5/plugins/kcm_audiocd.so
%{_libdir}/qt5/plugins/libaudiocd_encoder_*.so
%{_libdir}/qt5/plugins/kf5/kio/audiocd.so
%doc COPYING COPYING.DOC

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_kde5_libdir}/libaudiocdplugins.so

%changelog
* Fri May 15 2020 Automatic Build System <autodist@mambasoft.it> 20.04.1-1mamba
- automatic version update by autodist

* Fri Apr 24 2020 Automatic Build System <autodist@mambasoft.it> 20.04.0-1mamba
- automatic version update by autodist

* Fri Mar 06 2020 Automatic Build System <autodist@mambasoft.it> 19.12.3-1mamba
- automatic version update by autodist

* Thu Feb 06 2020 Automatic Build System <autodist@mambasoft.it> 19.12.2-1mamba
- automatic version update by autodist

* Thu Jan 09 2020 Automatic Build System <autodist@mambasoft.it> 19.12.1-1mamba
- automatic version update by autodist

* Tue Dec 31 2019 Automatic Build System <autodist@mambasoft.it> 19.12.0-1mamba
- automatic version update by autodist

* Thu Nov 07 2019 Automatic Build System <autodist@mambasoft.it> 19.08.3-1mamba
- automatic version update by autodist

* Thu Oct 10 2019 Automatic Build System <autodist@mambasoft.it> 19.08.2-1mamba
- automatic version update by autodist

* Tue Sep 10 2019 Automatic Build System <autodist@mambasoft.it> 19.08.1-1mamba
- automatic version update by autodist

* Mon Sep 02 2019 Automatic Build System <autodist@mambasoft.it> 19.08.0-1mamba
- automatic version update by autodist

* Thu Jul 11 2019 Automatic Build System <autodist@mambasoft.it> 19.04.3-1mamba
- automatic version update by autodist

* Thu Jun 06 2019 Automatic Build System <autodist@mambasoft.it> 19.04.2-1mamba
- automatic version update by autodist

* Sat May 11 2019 Automatic Build System <autodist@mambasoft.it> 19.04.1-1mamba
- automatic version update by autodist

* Tue Apr 23 2019 Automatic Build System <autodist@mambasoft.it> 19.04.0-1mamba
- automatic version update by autodist

* Thu Mar 07 2019 Automatic Build System <autodist@mambasoft.it> 18.12.3-1mamba
- automatic version update by autodist

* Thu Feb 07 2019 Automatic Build System <autodist@mambasoft.it> 18.12.2-1mamba
- automatic version update by autodist

* Fri Jan 11 2019 Automatic Build System <autodist@mambasoft.it> 18.12.1-1mamba
- automatic version update by autodist

* Wed Dec 19 2018 Automatic Build System <autodist@mambasoft.it> 18.12.0-1mamba
- automatic version update by autodist

* Sun Nov 11 2018 Automatic Build System <autodist@mambasoft.it> 18.08.3-1mamba
- automatic version update by autodist

* Thu Oct 11 2018 Automatic Build System <autodist@mambasoft.it> 18.08.2-1mamba
- automatic version update by autodist

* Thu Sep 06 2018 Automatic Build System <autodist@mambasoft.it> 18.08.1-1mamba
- automatic version update by autodist

* Sat Aug 18 2018 Automatic Build System <autodist@mambasoft.it> 18.08.0-1mamba
- automatic version update by autodist

* Thu Jul 12 2018 Automatic Build System <autodist@mambasoft.it> 18.04.3-1mamba
- automatic version update by autodist

* Thu Jun 07 2018 Automatic Build System <autodist@mambasoft.it> 18.04.2-1mamba
- automatic version update by autodist

* Thu May 10 2018 Automatic Build System <autodist@mambasoft.it> 18.04.1-1mamba
- automatic version update by autodist

* Sat Apr 21 2018 Automatic Build System <autodist@mambasoft.it> 18.04.0-1mamba
- automatic version update by autodist

* Thu Mar 08 2018 Automatic Build System <autodist@mambasoft.it> 17.12.3-1mamba
- automatic version update by autodist

* Fri Feb 09 2018 Automatic Build System <autodist@mambasoft.it> 17.12.2-1mamba
- automatic version update by autodist

* Thu Jan 11 2018 Automatic Build System <autodist@mambasoft.it> 17.12.1-1mamba
- automatic version update by autodist

* Wed Dec 20 2017 Automatic Build System <autodist@mambasoft.it> 17.12.0-1mamba
- automatic version update by autodist

* Thu Oct 12 2017 Automatic Build System <autodist@mambasoft.it> 17.08.2-1mamba
- automatic version update by autodist

* Thu Sep 07 2017 Automatic Build System <autodist@mambasoft.it> 17.08.1-1mamba
- automatic version update by autodist

* Tue Aug 22 2017 Automatic Build System <autodist@mambasoft.it> 17.08.0-1mamba
- automatic version update by autodist

* Fri Jul 14 2017 Automatic Build System <autodist@mambasoft.it> 17.04.3-1mamba
- automatic version update by autodist

* Thu Jun 22 2017 Automatic Build System <autodist@mambasoft.it> 17.04.2-1mamba
- automatic version update by autodist

* Thu Mar 09 2017 Automatic Build System <autodist@mambasoft.it> 16.12.3-1mamba
- automatic version update by autodist

* Thu Feb 09 2017 Automatic Build System <autodist@mambasoft.it> 16.12.2-1mamba
- automatic version update by autodist

* Fri Jan 13 2017 Automatic Build System <autodist@mambasoft.it> 16.12.1-1mamba
- automatic version update by autodist

* Wed Dec 21 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 16.12.0-1mamba
- update to 16.12.0

* Wed Dec 21 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 4.14.3-2mamba
- rebuilt by autoport with build requirements: libkcompactdisc-devel>=16.12.0-1mamba

* Thu Nov 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.3-1mamba
- automatic version update by autodist

* Mon Oct 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.2-1mamba
- automatic version update by autodist

* Sun Sep 28 2014 Automatic Build System <autodist@mambasoft.it> 4.14.1-1mamba
- automatic version update by autodist

* Fri Aug 22 2014 Automatic Build System <autodist@mambasoft.it> 4.14.0-1mamba
- automatic version update by autodist

* Tue Jul 15 2014 Automatic Build System <autodist@mambasoft.it> 4.13.3-1mamba
- automatic version update by autodist

* Fri Jun 13 2014 Automatic Build System <autodist@mambasoft.it> 4.13.2-1mamba
- automatic version update by autodist

* Mon May 19 2014 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Thu Apr 17 2014 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Thu Apr 03 2014 Automatic Build System <autodist@mambasoft.it> 4.12.4-1mamba
- automatic version update by autodist

* Wed Mar 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Thu Dec 19 2013 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Automatic Build System <autodist@mambasoft.it> 4.11.3-1mamba
- automatic version update by autodist

* Wed Oct 02 2013 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Wed Sep 04 2013 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Wed Aug 14 2013 Automatic Build System <autodist@mambasoft.it> 4.11.0-1mamba
- automatic version update by autodist

* Tue Jul 02 2013 Automatic Build System <autodist@mambasoft.it> 4.10.5-1mamba
- automatic version update by autodist

* Wed Jun 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.4-1mamba
- automatic version update by autodist

* Tue May 07 2013 Automatic Build System <autodist@mambasoft.it> 4.10.3-1mamba
- automatic version update by autodist

* Wed Apr 03 2013 Automatic Build System <autodist@mambasoft.it> 4.10.2-1mamba
- automatic version update by autodist

* Tue Mar 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.1-1mamba
- automatic version update by autodist

* Thu Feb 14 2013 Automatic Build System <autodist@mambasoft.it> 4.10.0-1mamba
- automatic version update by autodist

* Thu Jan 03 2013 Automatic Build System <autodist@mambasoft.it> 4.9.5-1mamba
- automatic version update by autodist

* Thu Dec 06 2012 Automatic Build System <autodist@mambasoft.it> 4.9.4-1mamba
- automatic version update by autodist

* Thu Nov 08 2012 Automatic Build System <autodist@mambasoft.it> 4.9.3-1mamba
- automatic version update by autodist

* Wed Oct 24 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.9.2-1mamba
- package created by autospec
